from cliff.command import Command
import dcc.config
import subprocess

class Record(Command):
	def get_parser(self, prog_name):
		parser = super().get_parser(prog_name)
		parser.add_argument('wad')
		parser.add_argument('map')
		return parser

	def take_action(self, parsed_args):
		subprocess.run([dcc.config.DSDA] +
			dcc.config.DsdaPreamble(parsed_args.wad, parsed_args.map) +
			["-record", dcc.config.DemoOutPath(parsed_args.wad, parsed_args.map)])
